uploads
Put apiv1uploads content
PUT
/
api
/
v1
/
uploads
/
{uploadId}
/
content
Error
A valid request URL is required to generate request examples{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetKind": "PROJECT_LOGO",
"contentType": "<string>",
"sizeBytes": 123,
"publicUrl": "<string>",
"source": "USER_UPLOAD",
"createdAt": "2023-11-07T05:31:56Z",
"originalName": "<string>",
"description": "<string>",
"prompt": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/octet-stream
The body is of type file.
Response
Success
Purpose of the asset; determines the allowed contentType and max size on upload (see InitUploadRequest.contentType). PROJECT_LOGO — project logo (light/dark variants). CAMPAIGN_MEDIA — campaign creative.
Available options:
PROJECT_LOGO, CAMPAIGN_MEDIA Available options:
USER_UPLOAD, AI_GENERATED ⌘I
Error
A valid request URL is required to generate request examples{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetKind": "PROJECT_LOGO",
"contentType": "<string>",
"sizeBytes": 123,
"publicUrl": "<string>",
"source": "USER_UPLOAD",
"createdAt": "2023-11-07T05:31:56Z",
"originalName": "<string>",
"description": "<string>",
"prompt": "<string>"
}{
"error": "<string>"
}